Package org.postgresql.core

# Class CommandCompleteParser

java.lang.Object
org.postgresql.core.CommandCompleteParser

public final class CommandCompleteParser extends Object
Parses `oid` and `rows` from a `CommandComplete (B)` message (end of Execute).

## Constructor Summary

Constructors
Constructor
Description
`CommandCompleteParser()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(@Nullable Object o)`
`long`
`getOid()`
`long`
`getRows()`
`int`
`hashCode()`
`void`
`parse(String status)`
Parses `CommandComplete (B)` message.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandCompleteParser

public CommandCompleteParser()

## Method Details

### getOid

public long getOid()

### getRows

public long getRows()

### parse

public void parse(String status) throws PSQLException
Parses `CommandComplete (B)` message. Status is in the format of "COMMAND OID ROWS" where both 'OID' and 'ROWS' are optional and COMMAND can have spaces within it, like CREATE TABLE.

Parameters:
  `status` - COMMAND OID ROWS message
Throws:
  `PSQLException` - in case the status cannot be parsed

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(@Nullable Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`